Subject: Re: bug#48325: update of julia to 1.6.1

From: Ludovic Courtès <[email-masked]>
Date: Sat, 05 Jun 2021 23:38:10 +0200

Hello!

Nicolò Balzarotti <[email-masked]> skribis:

>> About #2, it looks like; even after updating StaticArrays.jl to the
>> lastest tagged version).
>>
>> And I do not have an idea why it fails… Input welcome. :-)
>
> I opened an issue here [1], it seems not to be a problem
>
> [1] https://github.com/JuliaArrays/StaticArrays.jl/issues/912

[...]

Jean-Baptiste Volatier <[email-masked]> skribis:

> On Thursday, May 13th, 2021 at 4:08 PM, zimoun <[email-masked]> wrote:
>> 1.  an error at runtime about curl
>> 2.  several julia packages are broken because of julia-staticarrays
>>     About #1, it looks like:
>>     --8<---------------cut here---------------start------------->8---
>> ┌ Error: curl_easy_setopt: 48
>> └ @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36
>> --8<---------------cut here---------------end--------------->8---
>>
>
> This bug is due to Downloads.jl trying to set the following
> options for libcurl:
>
> CURLOPT_SSH_PRIVATE_KEYFILE
> CURLOPT_SSH_PUBLIC_KEYFILE
> CURLOPT_SSH_KNOWNHOSTS
>
> error code 48 means that the option is unknown, this is fixed
> if curl is compiled with "--with-libssh2" configure flag.

Should we go for a v4 that addresses these two remaining issues?

I didn’t follow closely but I’m happy to apply the patches when the
three of you deem it ready.

Thanks,
Ludo’.